%define beta rc3
%define	major	1
%define	libname	 %mklibname %name %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name
%define badlibname %mklibname speex 1
%define baddevname %mklibname -d speex 1
%define badstaticname %mklibname -s -d speex 1
%define rel	3

Name:		speexdsp
Summary:	An open-source, patent-free speech codec
Version:	1.2
Release:	%mkrel -c %{beta} %{rel}
License:	BSD
Group:		Sound/Utilities
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}%beta.tar.gz
URL:		http://www.speex.org/
# a patch to speex (774c87d) was done usptream to fix this issue but it seems it
# hasn't been replicated in speexdsp. Issue seen in at least pjproject
# upstream ML thread http://lists.xiph.org/pipermail/speex-dev/2014-May/008488.html
Patch0:		speexdsp-fixbuilds-774c87d.patch

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex DSP
Group:		System/Libraries
Conflicts:	%badlibname < 1.2-0.rc2

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex DSP.

%package -n	%develname
Summary:	Speex DSP development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%baddevname < 1.2-0.rc2

%description -n	%develname
Speex DSP development files.

%package -n	%staticname
Summary:	Speex DSP static library 
Group:		Development/C
Requires:	%develname = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Conflicts:	%badstaticname < 1.2-0.rc2

%description -n	%staticname
Speex DSP static library for developing applications based on Speex.

%prep
%setup -q -n %name-%version%beta
%autopatch -p1

%build
export CFLAGS='%optflags -DRELEASE'
%configure2_5x
%make

%install
%make_install

rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf

%files -n %{libname}
%{_libdir}/libspeexdsp.so.%{major}*

%files -n %develname
%doc doc/manual.pdf
%{_libdir}/libspeex*.la
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speexdsp.pc

%files -n %staticname
%{_libdir}/libspeex*.a


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.2-0.rc3.3.mga6
+ Revision: 962892
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 daviddavid <daviddavid> 1.2-0.rc3.2.mga6
+ Revision: 898685
- add patch similar to what was already done upstream in speex but not dsp

* Mon Oct 12 2015 gw666 <gw666> 1.2-0.rc3.1.mga6
+ Revision: 889950
- imported package speexdsp

